Search results

ChipList

A chip component is a small block of essential information, mostly used on contacts or filter tags.

<div id="chip"></div>
<script>
var chipObj = new ChipList();
chipObj.appendTo("#chip");
</script>

Properties

avatarIconCss

string

Specifies the icon CSS class for the avatar in the chip.

    <div id="chip"></div>
    <style>
        #chip .anne {
            background-image: url('https://ej2.syncfusion.com/demos/src/chips/images/anne.png')
        }
    </style>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: [{
        "text": "Anne",
        "avatarIconCss": "anne"
    }]}, '#chip');

Defaults to

avatarText

string

Specifies the customized text value for the avatar in the chip.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: [{
        "text": "Andrew",
        "avatarText": "A"
    }]}, '#chip');

Defaults to

chips

string[] | number[] | ChipModel[]

This chips property helps to render ChipList component.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret']}, '#chip');

Defaults to []

cssClass

string

Specifies the custom classes to be added to the chip element used to customize the ChipList component.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Janet Leverling'], cssClass: "e-outline"
    }, '#chip');

Defaults to

enableDelete

boolean

Enables or disables the delete functionality of a chip.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret'],enableDelete: true}, '#chip');

Defaults to false

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Specifies a value that indicates whether the chip component is enabled or not.

Defaults to true

htmlAttributes

{ : }

Allows additional HTML attributes such as aria labels, title, name, etc., and accepts n number of attributes in a key-value pair format.

Defaults to {}

leadingIconCss

string

Specifies the leading icon CSS class for the chip.

    <div id="chip"></div>
    <style>
        #chip .janet {
            background-image: url('https://ej2.syncfusion.com/demos/src/chips/images/janet.png')
        }
    </style>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: [{
        "text": "Janet",
        "leadingIconCss": "janet"
    }]}, '#chip');

Defaults to

leadingIconUrl

string

Specifies the leading icon url for the chip.

Defaults to

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

selectedChips

string[] | number[] | number

Sets or gets the selected chip items in the chip list.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({ chips: ['Send a text', 'Set a remainder', 'Read my emails ', 'Set alarm'], selection: 'Multiple', selectedChips: [1, 3] }, '#chip');

Defaults to []

selection

Selection

Defines the selection type of the chip. The available types are:

  1. Input chip
  2. Choice chip
  3. Filter chip
  4. Action chip

Defaults to ‘None’

text

string

Specifies the text content for the chip.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: [{
        "text": "Anne",
    }]}, '#chip');

Defaults to

trailingIconCss

string

Specifies the trailing icon CSS class for the chip.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: [{
            "text": "Margaret",
            "trailingIconCss": "e-dlt-btn"
    }]}, '#chip');

Defaults to

trailingIconUrl

string

Specifies the trailing icon url for the chip.

Defaults to

Methods

add

Allows adding the chip item(s) by passing a single or array of string, number, or ChipModel values.

Parameter Type Description
chipsData string[] | number[] | ChipModel[] | string | number | ChipModel We can pass array of string or
array of number or array of chip model or string data or number data or chip model.

Returns void

addEventListener

Adds the handler to the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event
handler Function Specifies the call to run when the event occurs.

Returns void

appendTo

Appends the control within the given HTML element

Parameter Type Description
selector (optional) string | HTMLElement Target element where control needs to be appended

Returns void

attachUnloadEvent

Adding unload event to persist data when enable persistence true

Returns void

dataBind

When invoked, applies the pending property changes immediately to the component.

Returns void

destroy

Removes the component from the DOM and detaches all its related event handlers. Also, it removes the attributes and classes.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    let chip =new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret']},'#chip');
    chip.destroy();

Returns void

detachUnloadEvent

Removing unload event to persist data when enable persistence true

Returns void

find

A function that finds chip based on given input.

Parameter Type Description
fields number | HTMLElement We can pass index number or element of chip.

Returns ChipDataArgs

getLocalData

Returns the persistence data for component

Returns any

getRootElement

Returns the route element of the component

Returns HTMLElement

getSelectedChips

Returns the selected chip(s) data.

    import { ChipList } from '@syncfusion/ej2-buttons';
    let chip =new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret'],selection:'Multiple', selectedChips: [1, 3]},'#chip');
    alert('Selected items : '+chip.getSelectedChips().data);

Returns SelectedItem | SelectedItems | undefined

handleUnload

Handling unload event to persist data when enable persistence true

Returns void

refresh

Applies all the pending property changes and render the component again.

Returns void

remove

Allows removing the chip item(s) by passing a single or array of string, number, or ChipModel values.

Parameter Type Description
fields number | number[] | HTMLElement | HTMLElement[] We can pass number or array of number
or chip element or array of chip element.
    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    let chip =new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret']},'#chip');
    chip.remove([0]);
```<br> |

Returns *void*

### removeEventListener

Removes the handler from the given event listener.

| Parameter | Type | Description |
|------|------|-------------|
| eventName |  `string` | A String that specifies the name of the event to remove |
| handler |  `Function` | Specifies the function to remove |

Returns *void*

### select

Allows selecting the chip item(s) by passing a single or array of string, number, or ChipModel values.

Returns *void*

### Inject

Dynamically injects the required modules to the component.

| Parameter | Type | Description |
|------|------|-------------|
| moduleList |  `Function[]` | ? |

Returns *void*

## Events

<h3 class="doc-prop-wrapper" id="beforeclick" data-Path="beforeclick-beforeClick">
<a href="#beforeclick" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>beforeClick</span>

<span class="doc-prop-type"> [`EmitType<ClickEventArgs>`](./clickEventArgs)
</span>

</h3>


Triggers before the click event of the chip is fired.
This event can be used to prevent the further process and restrict the click action over a chip.

```html
    <div id="chip"></div>
    import { ChipList, ClickEventArgs } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret'], selection: "Single", 
        beforeClick: (e: ClickEventArgs)=>{
            alert('you have selected ' + e.text)
        }
    }, '#chip');

click

EmitType<ClickEventArgs>

Triggers when a chip is clicked.

    <div id="chip"></div>
    import { ChipList, ClickEventArgs } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Send a text', 'Set a remainder', 'Read my emails ', 'Set alarm'],
        click: (e: ClickEventArgs)=>{
            alert('you have clicked ' + e.text)
        } 
    }, '#chip');

created

EmitType<Event>

Triggers when the component is created successfully.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Janet Leverling'],
        created: (e: Event)=>{
            alert('Component rendered successfully')
        } 
    }, '#chip');

delete

EmitType<DeleteEventArgs>

Fires before removing the chip element.

    <div id="chip"></div>
    import { ChipList, DeleteEventArgs } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret'],enableDelete: true,  
        delete: (e: DeleteEventArgs)=>{
            alert('you have deleted ' + e.text)
        }
    }, '#chip');

deleted

EmitType<ChipDeletedEventArgs>

Triggers when the chip item is removed.

Search results

ChipListComponent

Represents the Essential JS 2 Angular ChipList Component.

<ejs-chiplist></ejs-chiplist>

Properties

allowDragAndDrop

boolean

Specifies a boolean value that indicates whether the chip item can be dragged and reordered. This enables drag-and-drop functionality within a single container or across multiple containers of chips when dragging is enabled.

Defaults to false

avatarIconCss

string

Specifies the icon CSS class for the avatar in the chip.

    <ejs-chiplist id="chip" text="Janet Leverling" [avatarIconCss]="Icon"></ejs-chiplist>
    <style>
        #chip .anne {
            background-image: url('https://ej2.syncfusion.com/demos/src/chips/images/anne.png')
        }
    </style>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public Icon = "anne";
    }

Defaults to

avatarText

string

Specifies the customized text value for the avatar in the chip.

    <ejs-chiplist text="Janet Leverling" [avatarText]= 'text'></ejs-chiplist>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public text = 'J';
    }

Defaults to

chips

string[] | number[] | ChipModel[]

This chips property helps to render ChipList component.

    <ejs-chiplist id="chip-avatar">
        <e-chips>
            <e-chip text="Anne"></e-chip>
            <e-chip text="Janet"></e-chip>
            <e-chip text="Laura"></e-chip>
            <e-chip text="Margaret"></e-chip>
        </e-chips>
    </ejs-chiplist>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {}

Defaults to []

cssClass

string

Specifies the custom classes to be added to the chip element used to customize the ChipList component.

    <ejs-chiplist text="Janet Leverling" [cssClass]="style"></ejs-chiplist>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public style = "e-outline";
    }

Defaults to

dragArea

HTMLElement | string

Specifies the target in which the draggable element can be moved and dropped. By default, the draggable element movement occurs in the page.

Defaults to null

enableDelete

boolean

Enables or disables the delete functionality of a chip.

    <ejs-chiplist id="chip-avatar" [enableDelete]="bool">
        <e-chips>
            <e-chip text="Anne"></e-chip>
        </e-chips>
    </ejs-chiplist>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public bool = "true";
    }

Defaults to false

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Specifies a value that indicates whether the chip component is enabled or not.

Defaults to true

htmlAttributes

{ : }

Allows additional HTML attributes such as aria labels, title, name, etc., and accepts n number of attributes in a key-value pair format.

Defaults to {}

leadingIconCss

string

Specifies the leading icon CSS class for the chip.

    <ejs-chiplist id="chip" text="Janet Leverling" [leadingIconCss]="Icon"></ejs-chiplist>
    <style>
        #chip .janet {
            background-image: url('https://ej2.syncfusion.com/demos/src/chips/images/janet.png')
        }
    </style>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public Icon = "janet";
    }

Defaults to

leadingIconUrl

string

Specifies the leading icon url for the chip.

Defaults to

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

selectedChips

string[] | number[] | number

Sets or gets the selected chip items in the chip list.

    <ejs-chiplist id="chip-filter" selection="Multiple" [selectedChips]="this.filterSelected">
        <e-chips>
            <e-chip text="Extra small"></e-chip>
            <e-chip text="Small"></e-chip>
            <e-chip text="Medium"></e-chip>
            <e-chip text="Large"></e-chip>
            <e-chip text="Extra large"></e-chip>
        </e-chips>
    </ejs-chiplist>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        filterSelected = [1, 3];
    }

Defaults to []

selection

Selection

Defines the selection type of the chip. The available types are:

  1. Input chip
  2. Choice chip
  3. Filter chip
  4. Action chip

Defaults to ‘None’

text

string

Specifies the text content for the chip.

    <ejs-chiplist [text]="name"></ejs-chiplist>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public name = "Janet Leverling";
    }

Defaults to

trailingIconCss

string

Specifies the trailing icon CSS class for the chip.

    <ejs-chiplist text="Janet Leverling" [trailingIconCss]= 'Icon'></ejs-chiplist>
    import { Component, ViewEncapsulation } from '@angular/core';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public Icon = "e-dlt-btn";
    }

Defaults to

trailingIconUrl

string

Specifies the trailing icon url for the chip.

Defaults to

Methods

add

Allows adding the chip item(s) by passing a single or array of string, number, or ChipModel values.

    <ejs-chiplist #ejchip id="chip">
        <e-chips>
            <e-chip text="Andrew"></e-chip>
            <e-chip text="Janet"></e-chip>  
            <e-chip text="Laura"></e-chip>
            <e-chip text="Margaret"></e-chip>
        </e-chips>
    </ejs-chiplist>
    <div class="btn"><button class="e-control e-btn" (click)="add($event)">Add Item</button></div>
    import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
    import { ChipList } from '@syncfusion/ej2-buttons';
    import { ChipListComponent } from '@syncfusion/ej2-angular-buttons';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        @ViewChild('ejchip')
        public ejchip: ChipListComponent;
        public add = function(event: any): void {
            this.ejchip.add('jenifer');
        }  
    }
Parameter Type Description
chipsData string[] | number[] | ChipModel[] | string | number | ChipModel We can pass array of string or
array of number or array of chip model or string data or number data or chip model.

Returns void

destroy

Removes the component from the DOM and detaches all its related event handlers. Also, it removes the attributes and classes.

    <ejs-chiplist #ejchip id="chip">
        <e-chips>
            <e-chip text="Andrew"></e-chip>
            <e-chip text="Janet"></e-chip>  
            <e-chip text="Laura"></e-chip>
            <e-chip text="Margaret"></e-chip>
        </e-chips>
    </ejs-chiplist>
    <div class="btn"><button class="e-control e-btn" (click)="destroy($event)">Destroy</button></div>
    import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
    import { ChipList } from '@syncfusion/ej2-buttons';
    import { ChipListComponent } from '@syncfusion/ej2-angular-buttons';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        @ViewChild('ejchip')
        public ejchip: ChipListComponent;
        public destroy = function(event: any): void {
            this.ejchip.destroy();
        }  
    }

Returns void

find

A function that finds chip based on given input.

    <ejs-chiplist #ejchip id="chip" selection="Multiple" [selectedChips]="this.filterSelected">
        <e-chips>
            <e-chip text="Andrew"></e-chip>
            <e-chip text="Janet"></e-chip>  
            <e-chip text="Laura"></e-chip>
            <e-chip text="Margaret"></e-chip>
        </e-chips>
    </ejs-chiplist>
    <div class="btn"><button class="e-control e-btn" (click)="find()">Show</button></div>
    import { Component, ViewEncapsulation, ViewChild } from "@angular/core";
    import { ChipList } from "@syncfusion/ej2-buttons";
    import { ChipListComponent } from "@syncfusion/ej2-angular-buttons";

    @Component({
        selector: "app-root",
        templateUrl: "app.component.html",
        styleUrls: ["app.component.css"],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        @ViewChild("ejchip")
        public ejchip: ChipListComponent;
        filterSelected = [1, 3];
        public find = function(event: any): void {
            let name = this.ejchip.find([3]).text;
            alert('you have searched for ' +name);
        };
    }
Parameter Type Description
fields number | HTMLElement We can pass index number or element of chip.

Returns ChipDataArgs

getSelectedChips

Returns the selected chip(s) data.

    <ejs-chiplist #ejchip id="chip" selection="Single" [selectedChips]="this.filterSelected">
        <e-chips>
            <e-chip text="Andrew"></e-chip>
            <e-chip text="Janet"></e-chip>  
            <e-chip text="Laura"></e-chip>
            <e-chip text="Margaret"></e-chip>
        </e-chips>
    </ejs-chiplist>
    <div class="btn"><button class="e-control e-btn" (click)="getSelectedChips()">Show</button></div>
    import { Component, ViewEncapsulation, ViewChild } from "@angular/core";
    import { ChipList } from "@syncfusion/ej2-buttons";
    import { ChipListComponent } from "@syncfusion/ej2-angular-buttons";

    @Component({
        selector: "app-root",
        templateUrl: "app.component.html",
        styleUrls: ["app.component.css"],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        @ViewChild("ejchip")
        public ejchip: ChipListComponent;
        filterSelected = [2];
        public getSelectedChips = function(event: any): void {
        let name = this.ejchip.getSelectedChips().text;
        alert('Selected chip is ' +name);
    };
}

Returns SelectedItem | SelectedItems | undefined

remove

Allows removing the chip item(s) by passing a single or array of string, number, or ChipModel values.

    <ejs-chiplist #ejchip id="chip" selection="Multiple">
        <e-chips>
            <e-chip text="Andrew"></e-chip>
            <e-chip text="Janet"></e-chip>  
            <e-chip text="Laura"></e-chip>
            <e-chip text="Margaret"></e-chip>
        </e-chips>
    </ejs-chiplist>
    <div class="btn"><button class="e-control e-btn" (click)="remove($event)">Remove</button></div>
    import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
    import { ChipList } from '@syncfusion/ej2-buttons';
    import { ChipListComponent } from '@syncfusion/ej2-angular-buttons';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        @ViewChild('ejchip')
        public ejchip: ChipListComponent;
        public remove = function(event: any): void {
            this.ejchip.remove([0]);
        }  
    }
Parameter Type Description
fields number | number[] | HTMLElement | HTMLElement[] We can pass number or array of number
or chip element or array of chip element.

Returns void

select

Allows selecting the chip item(s) by passing a single or array of string, number, or ChipModel values.

    <ejs-chiplist #ejchip id="chip" selection="Multiple">
        <e-chips>
            <e-chip text="Andrew"></e-chip>
            <e-chip text="Janet"></e-chip>  
            <e-chip text="Laura"></e-chip>
            <e-chip text="Margaret"></e-chip>
        </e-chips>
    </ejs-chiplist>
    <div class="btn"><button class="e-control e-btn" (click)="select($event)">Select</button></div>
    import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
    import { ChipList } from '@syncfusion/ej2-buttons';
    import { ChipListComponent } from '@syncfusion/ej2-angular-buttons';

    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        styleUrls: ['app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        @ViewChild('ejchip')
        public ejchip: ChipListComponent;
        public select = function(event: any): void {
            this.ejchip.select([1,3]);
        }  
    }

Returns void

Events

beforeClick

EmitType<ClickEventArgs>

Triggers before the click event of the chip is fired. This event can be used to prevent the further process and restrict the click action over a chip.

    <div id="chip"></div>
    import { ChipList, ClickEventArgs } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret'], selection: "Single", 
        beforeClick: (e: ClickEventArgs)=>{
            alert('you have selected ' + e.text)
        }
    }, '#chip');

click

EmitType<ClickEventArgs>

Triggers when a chip is clicked.

    <div id="chip"></div>
    import { ChipList, ClickEventArgs } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Send a text', 'Set a remainder', 'Read my emails ', 'Set alarm'],
        click: (e: ClickEventArgs)=>{
            alert('you have clicked ' + e.text)
        } 
    }, '#chip');

created

EmitType<Event>

Triggers when the component is created successfully.

    <div id="chip"></div>
    import { ChipList } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Janet Leverling'],
        created: (e: Event)=>{
            alert('Component rendered successfully')
        } 
    }, '#chip');

delete

EmitType<DeleteEventArgs>

Fires before removing the chip element.

    <div id="chip"></div>
    import { ChipList, DeleteEventArgs } from '@syncfusion/ej2-buttons';
    new ChipList({chips: ['Andrew', 'Janet', 'Laura', 'Margaret'],enableDelete: true,  
        delete: (e: DeleteEventArgs)=>{
            alert('you have deleted ' + e.text)
        }
    }, '#chip');

deleted

EmitType<ChipDeletedEventArgs>

Triggers when the chip item is removed.

dragStart

EmitType<DragAndDropEventArgs>

Fires when a chip item starts moving due to a drag action.

dragStop

EmitType<DragAndDropEventArgs>

Fires when a chip item is reordered after completing a drag action.

dragging

EmitType<DragAndDropEventArgs>

Fires while a chip item is being dragged.

Search results

ChipListComponent

Represents the Essential JS 2 VueJS ChipList Component.

<ejs-chiplist></ejs-chiplist>

Properties

allowDragAndDrop

boolean

Specifies a boolean value that indicates whether the chip item can be dragged and reordered. This enables drag-and-drop functionality within a single container or across multiple containers of chips when dragging is enabled.

Defaults to false

avatarIconCss

string

Specifies the icon CSS class for the avatar in the chip.

    <template>
        <ejs-chiplist id="chip" text="Janet Leverling" :avatarIconCss='Icon'></ejs-chiplist>
    </template>
    <style>
        #chip .janet {
            background-image: url('https://ej2.syncfusion.com/demos/src/chips/images/janet.png')
        }
    </style>
    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    Icon: "janet"
                };
            }
        }
    </script>

Defaults to

avatarText

string

Specifies the customized text value for the avatar in the chip.

    <template>
        <ejs-chiplist id="chip" text="Janet Leverling" :avatarText='text'></ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    text: "J"
                };
            }
        }
    </script>

Defaults to

chips

string[] | number[] | ChipModel[]

This chips property helps to render ChipList component.

    <template>
        <ejs-chiplist id="chip">
            <e-chips>
                <e-chip text="Andrew"></e-chip>
                <e-chip text="Janet"></e-chip>
                <e-chip text="Laura"></e-chip>
                <e-chip text="Margaret"></e-chip>
            </e-chips>
        </ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {}
    </script>
    ```


Defaults to *[]*

<h3 class="doc-prop-wrapper" id="cssclass" data-Path="cssclass-cssClass">
<a href="#cssclass" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>cssClass</span>

<span class="doc-prop-type"> `string`
</span>

</h3>


Specifies the custom classes to be added to the chip element used to customize the ChipList component.

```html
    <template>
        <ejs-chiplist id="chip" text="Janet Leverling" :cssClass='style'></ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    style: "e-outline"
                };
            }
        }
    </script>

Defaults to

dragArea

HTMLElement | string

Specifies the target in which the draggable element can be moved and dropped. By default, the draggable element movement occurs in the page.

Defaults to null

enableDelete

boolean

Enables or disables the delete functionality of a chip.

    <!DOCTYPE html>
    <template>
        <ejs-chiplist id="chip" :enableDelete='bool'>
            <e-chips>
                <e-chip text="Andrew"></e-chip>
                <e-chip text="Janet"></e-chip>
                <e-chip text="Laura"></e-chip>
                <e-chip text="Margaret"></e-chip>
            </e-chips>
        </ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    bool: "true",
                    filterSelected: [1, 3]
                };
            }
        }
    </script>

Defaults to false

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Specifies a value that indicates whether the chip component is enabled or not.

Defaults to true

htmlAttributes

{ : }

Allows additional HTML attributes such as aria labels, title, name, etc., and accepts n number of attributes in a key-value pair format.

Defaults to {}

leadingIconCss

string

Specifies the leading icon CSS class for the chip.

    <template>
        <ejs-chiplist id="chip" text="Janet Leverling" :leadingIconCss='Icon'></ejs-chiplist>
    </template>
    <style>
        #chip .janet {
            background-image: url('https://ej2.syncfusion.com/demos/src/chips/images/janet.png')
        }
    </style>
    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    Icon: "janet"
                };
            }
        }
    </script>

Defaults to

leadingIconUrl

string

Specifies the leading icon url for the chip.

Defaults to

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

selectedChips

string[] | number[] | number

Sets or gets the selected chip items in the chip list.

    <template>
        <ejs-chiplist id="chip" selection="Multiple" :selectedChips='filterSelected'>
            <e-chips>
                <e-chip text="Andrew"></e-chip>
                <e-chip text="Janet"></e-chip>
                <e-chip text="Laura"></e-chip>
                <e-chip text="Margaret"></e-chip>
            </e-chips>
        </ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    filterSelected: [1, 3]
                };
            }
        }
    </script>

Defaults to []

selection

Selection

Defines the selection type of the chip. The available types are:

  1. Input chip
  2. Choice chip
  3. Filter chip
  4. Action chip

Defaults to ‘None’

text

string

Specifies the text content for the chip.

    <template>
        <ejs-chiplist id="chip" :text='name'></ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    name: "Janet Leverling"
                };
            }
        }
    </script>

Defaults to

trailingIconCss

string

Specifies the trailing icon CSS class for the chip.

    <template>
        <ejs-chiplist id="chip" text="Janet Leverling" :trailingIconCss='Icon'></ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    Icon: "e-dlt-btn"
                };
            }
        }
    </script>

Defaults to

trailingIconUrl

string

Specifies the trailing icon url for the chip.

Defaults to

Methods

add

Allows adding the chip item(s) by passing a single or array of string, number, or ChipModel values.

    <template>
        <div>
            <ejs-chiplist id="chip" ref="chip">
                <e-chips>
                    <e-chip text="Andrew"></e-chip>
                    <e-chip text="Janet"></e-chip>  
                    <e-chip text="Laura"></e-chip>
                    <e-chip text="Margaret"></e-chip>
                </e-chips>
            </ejs-chiplist>
            <div><ejs-button v-on:click.native="BtnClick">Add Item</ejs-button></div>
        </div>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';
        
        Vue.use(ButtonPlugin);
        Vue.use(ChipListPlugin);

        export default {
            methods:{
                BtnClick : function() {
                    this.$refs.chip.add('jenifer');
                }
            }
        }
    </script>
Parameter Type Description
chipsData string[] | number[] | ChipModel[] | string | number | ChipModel We can pass array of string or
array of number or array of chip model or string data or number data or chip model.

Returns void

destroy

Removes the component from the DOM and detaches all its related event handlers. Also, it removes the attributes and classes.

    <template>
        <div>
            <ejs-chiplist id="chip" ref="chip">
                <e-chips>
                    <e-chip text="Andrew"></e-chip>
                    <e-chip text="Janet"></e-chip>
                    <e-chip text="Laura"></e-chip>
                    <e-chip text="Margaret"></e-chip>
                </e-chips>
            </ejs-chiplist>
            <div>
                <ejs-button v-on:click.native="BtnClick">Destroy</ejs-button>
            </div>
        </div>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ButtonPlugin);
        Vue.use(ChipListPlugin);

        export default {
            methods: {
                BtnClick: function () {
                    this.$refs.chip.$destroy();
                }
            }
        }
    </script>

Returns void

find

A function that finds chip based on given input.

    <template>
        <div>
            <ejs-chiplist id="chip" ref="chip" selection="Multiple">
                <e-chips>
                    <e-chip text="Andrew"></e-chip>
                    <e-chip text="Janet"></e-chip>
                    <e-chip text="Laura"></e-chip>
                    <e-chip text="Margaret"></e-chip>
                </e-chips>
            </ejs-chiplist>
            <div>
                <ejs-button v-on:click.native="BtnClick">Find</ejs-button>
            </div>
        </div>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ButtonPlugin);
        Vue.use(ChipListPlugin);

        export default {
            methods: {
                BtnClick: function () {
                    let name = this.$refs.chip.find([2]).text;
                    alert('Searched for ' + name);
                }
            }
        }
    </script>
Parameter Type Description
fields number | HTMLElement We can pass index number or element of chip.

Returns ChipDataArgs

getSelectedChips

Returns the selected chip(s) data.

    <template>
        <div>
            <ejs-chiplist id="chip" ref="chip" selection="Single" :selectedChips='filterSelected'>
                <e-chips>
                    <e-chip text="Andrew"></e-chip>
                    <e-chip text="Janet"></e-chip>
                    <e-chip text="Laura"></e-chip>
                    <e-chip text="Margaret"></e-chip>
                </e-chips>
            </ejs-chiplist>
            <div>
                <ejs-button v-on:click.native="BtnClick">Show</ejs-button>
            </div>
        </div>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ButtonPlugin);
        Vue.use(ChipListPlugin);

        export default {
            data: function () {
                return {
                    filterSelected: [1]
                };
            },
            methods: {
                BtnClick: function () {
                    let name = this.$refs.chip.getSelectedChips().text;
                    alert('You have selected ' + name);
                }
            }
        }
    </script>

Returns SelectedItem | SelectedItems | undefined

remove

Allows removing the chip item(s) by passing a single or array of string, number, or ChipModel values.

    <template>
        <div>
            <ejs-chiplist id="chip" ref="chip">
                <e-chips>
                    <e-chip text="Andrew"></e-chip>
                    <e-chip text="Janet"></e-chip>
                    <e-chip text="Laura"></e-chip>
                    <e-chip text="Margaret"></e-chip>
                </e-chips>
            </ejs-chiplist>
            <div>
                <ejs-button v-on:click.native="BtnClick">Select</ejs-button>
            </div>
        </div>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ButtonPlugin);
        Vue.use(ChipListPlugin);

        export default {
            methods: {
                BtnClick: function () {
                    this.$refs.chip.remove([0]);
                }
            }
        }
    </script>
Parameter Type Description
fields number | number[] | HTMLElement | HTMLElement[] We can pass number or array of number
or chip element or array of chip element.

Returns void

select

Allows selecting the chip item(s) by passing a single or array of string, number, or ChipModel values.

    <template>
        <div>
            <ejs-chiplist id="chip" ref="chip" selection="Multiple">
                <e-chips>
                    <e-chip text="Andrew"></e-chip>
                    <e-chip text="Janet"></e-chip>
                    <e-chip text="Laura"></e-chip>
                    <e-chip text="Margaret"></e-chip>
                </e-chips>
            </ejs-chiplist>
            <div>
                <ejs-button v-on:click.native="BtnClick">Select</ejs-button>
            </div>
        </div>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';
        import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ButtonPlugin);
        Vue.use(ChipListPlugin);

        export default {
            methods: {
                BtnClick: function () {
                    this.$refs.chip.select([1, 3]);
                }
            }
        }
    </script>

Returns void

Events

beforeClick

EmitType<ClickEventArgs>

Triggers before the click event of the chip is fired. This event can be used to prevent the further process and restrict the click action over a chip.

    <template>
        <ejs-chiplist id="chip" selection="Single" v-on:beforeClick="chipclick">
            <e-chips>
                <e-chip text="Andrew"></e-chip>
                <e-chip text="Janet"></e-chip>
                <e-chip text="Laura"></e-chip>
                <e-chip text="Margaret"></e-chip>
            </e-chips>
        </ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            methods: {
                chipclick: function (e) {
                    alert('you have selected ' + e.text);
                }
            }
        }
    </script>

click

EmitType<ClickEventArgs>

Triggers when a chip is clicked.

    <template>
        <ejs-chiplist id="chip" v-on:click.native="chipclick">
            <e-chips>
                <e-chip text="Send a text"></e-chip>
                <e-chip text="Set a remainder"></e-chip>
                <e-chip text="Read my emails"></e-chip>
                <e-chip text="Set alarm"></e-chip>
            </e-chips>
        </ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            methods: {
                chipclick: function (e) {
                    alert('you have clicked ' + e.target.textContent);
                }
            }
        }
    </script>

created

EmitType<Event>

Triggers when the component is created successfully.

    <template>
        <ejs-chiplist id="chip" text="Andrew" v-on:created="create">
        </ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            methods: {
                create: function (e) {
                    alert('Component rendered successfully');
                }
            }
        }
    </script>

delete

EmitType<DeleteEventArgs>

Fires before removing the chip element.

    <!DOCTYPE html>
    <template>
        <ejs-chiplist id="chip" enableDelete="true" v-on:delete="chipclick">
            <e-chips>
                <e-chip text="Andrew"></e-chip>
                <e-chip text="Janet"></e-chip>
                <e-chip text="Laura"></e-chip>
                <e-chip text="Margaret"></e-chip>
            </e-chips>
        </ejs-chiplist>
    </template>

    <script>
        import Vue from 'vue';
        import { ChipListPlugin } from '@syncfusion/ej2-vue-buttons';

        Vue.use(ChipListPlugin);

        export default {
            methods: {
                chipclick: function (e) {
                    alert('you have deleted ' + e.text);
                }
            }
        }
    </script>

deleted

EmitType<ChipDeletedEventArgs>

Triggers when the chip item is removed.

dragStart

EmitType<DragAndDropEventArgs>

Fires when a chip item starts moving due to a drag action.

dragStop

EmitType<DragAndDropEventArgs>

Fires when a chip item is reordered after completing a drag action.

dragging

EmitType<DragAndDropEventArgs>

Fires while a chip item is being dragged.

Search results

ChipListComponent

Represents the Essential JS 2 React ChipList Component.

<ChipListComponent></ChipListComponent>

Properties

avatarIconCss

string

Specifies the icon CSS class for the avatar in the chip.

    <!DOCTYPE html>
    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
            <style>
                #chip .anne {
                    background-image: url('https://ej2.syncfusion.com/react/demos/src/chips/images/anne.png');
                }
            </style>
        </head>

        <body class="material">
            <div id='sample'>
        </body>
    </html>
    import { render } from 'react-dom';
    import { ChipListComponent } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        Icon = "anne";
        render() {
            return ( 
                <ChipListComponent id="chip" text="Janet Leverling" avatarIconCss={this.Icon}>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to

avatarText

string

Specifies the customized text value for the avatar in the chip.

    import { render } from 'react-dom';
    import './index.css';
    import {  ChipListComponent } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        text = 'J';
        render() {
            return (                            
                <ChipListComponent id="chip-default" text="Janet Leverling" avatarText= {this.text}>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to

chips

string[] | number[] | ChipModel[]

This chips property helps to render ChipList component.

    import { render } from 'react-dom';
    import * as ReactDom from 'react-dom';
    import {  ChipListComponent, ChipsDirective, ChipDirective  } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        render() {
            return (                            
                <ChipListComponent id="chip-avatar">
                    <ChipsDirective>
                        <ChipDirective text="Small"></ChipDirective>
                        <ChipDirective text="Medium"></ChipDirective>
                        <ChipDirective text="Large"></ChipDirective>
                        <ChipDirective text="Extra Large"></ChipDirective>
                    </ChipsDirective>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to []

cssClass

string

Specifies the custom classes to be added to the chip element used to customize the ChipList component.

    import { render } from 'react-dom';
    import {  ChipListComponent } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        style = "e-outline"
        render() {
            return (                            
                <ChipListComponent text="Janet Leverling" cssClass={this.style}>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to

enableDelete

boolean

Enables or disables the delete functionality of a chip.

    import { render } from 'react-dom';
    import * as ReactDom from 'react-dom';
    import {  ChipListComponent, ChipsDirective, ChipDirective  } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        bool = "true"
        render() {
            return (                            
                <ChipListComponent id="chip-avatar" enableDelete={this.bool}>
                    <ChipsDirective>
                    <ChipDirective text="Andrew"/>
                    <ChipDirective text="Janet"/>
                    <ChipDirective text="Laura"/>
                    <ChipDirective text="Margaret"/>
                    </ChipsDirective>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to false

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Specifies a value that indicates whether the chip component is enabled or not.

Defaults to true

htmlAttributes

{ : }

Allows additional HTML attributes such as aria labels, title, name, etc., and accepts n number of attributes in a key-value pair format.

Defaults to {}

leadingIconCss

string

Specifies the leading icon CSS class for the chip.

    <!DOCTYPE html>
    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
            <style>
                #chip .janet {
                    background-image: url('https://ej2.syncfusion.com/react/demos/src/chips/images/janet.png');
                }
            </style>
        </head>

        <body class="material">
            <div id='sample'>
        </body>
    </html>
    import { render } from 'react-dom';
    import { ChipListComponent } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        Icon = "janet";
        render() {
            return ( 
                <ChipListComponent id="chip" text="Janet Leverling" leadingIconCss={this.Icon}>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to

leadingIconUrl

string

Specifies the leading icon url for the chip.

Defaults to

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

selectedChips

string[] | number[] | number

Sets or gets the selected chip items in the chip list.

    import { render } from 'react-dom';
    import { ChipDirective, ChipListComponent, ChipsDirective } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
    choice=[1,3];
        render() {
            return ( 
                <ChipListComponent id="chip-filter" selectedChips={this.choice} selection="Multiple">
                    <ChipsDirective>
                        <ChipDirective text="Extra small"></ChipDirective>
                        <ChipDirective text="Small"></ChipDirective>
                        <ChipDirective text="Medium"></ChipDirective>
                        <ChipDirective text="Large"></ChipDirective>
                        <ChipDirective text="Extra large"></ChipDirective>
                    </ChipsDirective>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to []

selection

Selection

Defines the selection type of the chip. The available types are:

  1. Input chip
  2. Choice chip
  3. Filter chip
  4. Action chip

Defaults to ‘None’

text

string

Specifies the text content for the chip.

    import { render } from 'react-dom';
    import {  ChipListComponent } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
    name = "Janet Leverling";
        render() {
            return (                            
                <ChipListComponent text={this.name}>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to

trailingIconCss

string

Specifies the trailing icon CSS class for the chip.

    import { render } from 'react-dom';
    import { ChipListComponent } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
    Icon = "e-dlt-btn";
        render() {
            return ( 
                <ChipListComponent id="chip" text="Janet Leverling" trailingIconCss={this.Icon}>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

Defaults to

trailingIconUrl

string

Specifies the trailing icon url for the chip.

Defaults to

Methods

add

Allows adding the chip item(s) by passing a single or array of string, number, or ChipModel values.

Parameter Type Description
chipsData string[] | number[] | ChipModel[] | string | number | ChipModel We can pass array of string or
array of number or array of chip model or string data or number data or chip model.

    import { render } from 'react-dom';
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { ChipDirective, ChipListComponent, ChipsDirective } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        onClick(args) {
            this.chip.add('jenifer');    
        }
        render() {
            return (
                <div>
                    <ChipListComponent id="chip-avatar" ref={t => (this.chip = t)}>
                        <ChipsDirective>
                            <ChipDirective text="Andrew"></ChipDirective>
                            <ChipDirective text="Janet"></ChipDirective>
                            <ChipDirective text="Laura"></ChipDirective>
                            <ChipDirective text="Margaret"></ChipDirective>
                        </ChipsDirective>
                    </ChipListComponent>
                    <ButtonComponent onClick={this.onClick.bind(this)}>Add Item</ButtonComponent>
                </div>
            );
        }
    }

    render(<Default />, document.getElementById('sample'));
```<br> |

Returns *void*

### destroy

Removes the component from the DOM and detaches all its related event handlers. Also, it removes the attributes and classes.

```tsx
    import { render } from 'react-dom';
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { ChipDirective, ChipListComponent, ChipsDirective } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
    onClick(args) {
            this.chip.destroy();    
        }
        render() {
            return (
                <div>
                    <ChipListComponent id="chip-avatar" ref={t => (this.chip = t)}>
                        <ChipsDirective>
                            <ChipDirective text="Andrew"></ChipDirective>
                            <ChipDirective text="Janet"></ChipDirective>
                            <ChipDirective text="Laura"></ChipDirective>
                            <ChipDirective text="Margaret"></ChipDirective>
                        </ChipsDirective>
                    </ChipListComponent>
                    <ButtonComponent onClick={this.onClick.bind(this)}>Destroy</ButtonComponent>
                </div>
            );
        }
    }

    render(<Default />, document.getElementById('sample'));

Returns void

find

A function that finds chip based on given input.

Parameter Type Description
fields number | HTMLElement We can pass index number or element of chip.

    import { render } from 'react-dom';
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { ChipDirective, ChipListComponent, ChipsDirective } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
    onClick(args) {
            let name = this.chip.find([3]).text;
            alert('you have searched for ' +name);    
        }
        render() {
            return (
                <div>
                    <ChipListComponent id="chip-filter" ref={t => (this.chip = t)} selection="Multiple">
                        <ChipsDirective>
                            <ChipDirective text="Andrew"></ChipDirective>
                            <ChipDirective text="Janet"></ChipDirective>
                            <ChipDirective text="Laura"></ChipDirective>
                            <ChipDirective text="Margaret"></ChipDirective>
                            </ChipsDirective>
                    </ChipListComponent>
                    <ButtonComponent onClick={this.onClick.bind(this)}>Find</ButtonComponent>
                </div>
            );
        }
    }

    render(<Default />, document.getElementById('sample'));
```<br> |

Returns [*ChipDataArgs*](./chipDataArgs)

### getSelectedChips

Returns the selected chip(s) data.

```tsx
    import { render } from 'react-dom';
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { ChipDirective, ChipListComponent, ChipsDirective } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
    filterSelected = [1];
    onClick(args) {
            let name = this.chip.getSelectedChips().text;
            alert('Selected chip is ' +name);  
        }
        render() {
            return (
                <div>
                    <ChipListComponent id="chip-filter" ref={t => (this.chip = t)} selection="Single" selectedChips={this.filterSelected}>
                        <ChipsDirective>
                            <ChipDirective text="Andrew"></ChipDirective>
                            <ChipDirective text="Janet"></ChipDirective>
                            <ChipDirective text="Laura"></ChipDirective>
                            <ChipDirective text="Margaret"></ChipDirective>
                        </ChipsDirective>
                    </ChipListComponent>
                    <ButtonComponent onClick={this.onClick.bind(this)}>Show</ButtonComponent>
                </div>
            );
        }
    }

    render(<Default />, document.getElementById('sample'));

Returns SelectedItem | SelectedItems | undefined

remove

Allows removing the chip item(s) by passing a single or array of string, number, or ChipModel values.

Parameter Type Description
fields number | number[] | HTMLElement | HTMLElement[] We can pass number or array of number
or chip element or array of chip element.

    import { render } from 'react-dom';
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { ChipDirective, ChipListComponent, ChipsDirective } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        onClick(args) {
            this.chip.remove([0]);    
        }
        render() {
            return (
                <div>
                    <ChipListComponent id="chip-avatar" ref={t => (this.chip = t)}>
                        <ChipsDirective>
                            <ChipDirective text="Small"></ChipDirective>
                            <ChipDirective text="Medium"></ChipDirective>
                            <ChipDirective text="Large"></ChipDirective>
                            <ChipDirective text="Extra Large"></ChipDirective>
                        </ChipsDirective>
                    </ChipListComponent>
                    <ButtonComponent onClick={this.onClick.bind(this)}>Remove</ButtonComponent>
                </div>
            );
        }
    }

    render(<Default />, document.getElementById('sample'));
```<br> |

Returns *void*

### select

Allows selecting the chip item(s) by passing a single or array of string, number, or ChipModel values.

Returns *void*

## Events

<h3 class="doc-prop-wrapper" id="beforeclick" data-Path="beforeclick-beforeClick">
<a href="#beforeclick" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>beforeClick</span>

<span class="doc-prop-type"> [`EmitType<ClickEventArgs>`](./clickEventArgs)
</span>

</h3>


Triggers before the click event of the chip is fired.
This event can be used to prevent the further process and restrict the click action over a chip.

```tsx
    import { render } from 'react-dom';
    import * as ReactDom from 'react-dom';
    import {  ChipListComponent, ChipsDirective, ChipDirective  } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        chipClick(e) {
            alert('you have selected ' +e.text);
        }
        render() {
            return (                            
                <ChipListComponent id="chip-avatar" selection="Single" beforeClick={this.chipClick.bind(this)}>
                    <ChipsDirective>
                        <ChipDirective text="Andrew"></ChipDirective>
                        <ChipDirective text="Janet"></ChipDirective>
                        <ChipDirective text="Laura"></ChipDirective>
                        <ChipDirective text="Margaret"></ChipDirective>
                    </ChipsDirective>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

click

EmitType<ClickEventArgs>

Triggers when a chip is clicked.

    import { render } from 'react-dom';
    import * as ReactDom from 'react-dom';
    import {  ChipListComponent, ChipsDirective, ChipDirective  } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        chipClick(e) {
            alert('you have clicked ' + e.target.textContent);
        }
        render() {
            return (                            
                <ChipListComponent id="chip-avatar" onClick={this.chipClick.bind(this)}>
                    <ChipsDirective>
                    <ChipDirective text="Send a text"/>
                    <ChipDirective text="Set a remainder"/>
                    <ChipDirective text="Read my emails"/>
                    <ChipDirective text="Set alarm"/>
                    </ChipsDirective>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

created

EmitType<Event>

Triggers when the component is created successfully.

    import { render } from 'react-dom';
    import {  ChipListComponent } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        createEvent(e) {
            alert('Component Rendered Successfully');
        }
        render() {
            return (                            
                <ChipListComponent id="chip-default" text="Janet Leverling" onCreated={this.createEvent(this)}>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

delete

EmitType<DeleteEventArgs>

Fires before removing the chip element.

    import { render } from 'react-dom';
    import * as ReactDom from 'react-dom';
    import {  ChipListComponent, ChipsDirective, ChipDirective  } from '@syncfusion/ej2-react-buttons';
    import * as React from 'react';
    import { SampleBase } from './sample-base';

    export class Default extends SampleBase {
        deleteEvent(e) {
            alert('you have deleted ' + e.text);
        }
        render() {
            return (                            
                <ChipListComponent id="chip-avatar" enableDelete="true" delete={this.deleteEvent.bind(this)}>
                    <ChipsDirective>
                    <ChipDirective text="Andrew"/>
                    <ChipDirective text="Janet"/>
                    <ChipDirective text="Laura"/>
                    <ChipDirective text="Margaret"/>
                    </ChipsDirective>
                </ChipListComponent>
            );
        }
    }
    render(<Default />, document.getElementById('sample'));

deleted

EmitType<ChipDeletedEventArgs>

Triggers when the chip item is removed.